upnp_timeout.c File Reference

Contains a function for freeing the memory associated with a upnp time out event. More...

`#include "config.h"`
`#include "upnp_timeout.h"`
`#include <stdlib.h>`
Include dependency graph for upnp_timeout.c:

## Functions

void | free_upnp_timeout (upnp_timeout *event)
| Free memory associated with event and memory for any sub-elements. More...

## Detailed Description

Contains a function for freeing the memory associated with a upnp time out event.

## Function Documentation

## free_upnp_timeout()

void free_upnp_timeout | ( | upnp_timeout * | event | ) |

Free memory associated with event and memory for any sub-elements.

Parameters

  [in] | event | Event which needs to be freed.

Referenced by AutoAdvertise(), and free_client_subscription().